Bug 24636 - Acquisitions planning sections untranslatable
Summary: Acquisitions planning sections untranslatable
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-11 19:20 UTC by Caroline Cyr La Rose
Modified: 2020-05-11 20:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 24636: translate planning sections (3.03 KB, patch)
2020-04-29 00:34 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24636: translate planning sections (3.08 KB, patch)
2020-04-29 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24636: translate planning sections (3.13 KB, patch)
2020-05-01 21:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24636: follow-up - move 'by' into include file (2.65 KB, patch)
2020-05-03 22:23 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24636: (follow-up) - move 'by' into include file (2.71 KB, patch)
2020-05-03 22:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-02-11 19:20:13 UTC
When you go in Adminitration > Budgets > (Budget) > Planning > Plan by ... (aqplan.pl), the terms for MONTHS, BRANCHES and ITEMTYPES are not translatable.

To reproduce:
1. Install another language if you don't already have one
2. Go to Administration > Budgets
3. Click on a budget (or create one if you don't already have one)
4. Click on Planning and choose one of the options (for example Plan by months)
5. Notice at the top it says 'Planning for <budget name> by MONTHS'
6. Switch languages
7. Notice 'MONTHS' is still in English

I looked in my fr-CA-staff-prog.po file and 'MONTHS' is not in there (even after an update).

I know it's been like this for several versions, but I can't find a bug report for this. Sorry if it is a duplicate.
Comment 1 Bernardo Gonzalez Kriegel 2020-04-29 00:34:08 UTC
Created attachment 103893 [details] [review]
Bug 24636: translate planning sections

This patch adds a new inc file to process
and translate plannig sections

To test:
1) Apply patch
2) Create new language files
(cd misc/translator; ./translate create xx-YY)
3) Verify new file is taken into account in
translation files
egrep -n budget_planning misc/translator/xx-YY*.po
check new strings in staff-prog file
4) Go to Administration > Budgets > Founds > Planning
select different options, check page title and
'Planning for...' phrase
5) Translate strings, install new language, enable it,
verify the text change with options like point 4)
Comment 2 Owen Leonard 2020-04-29 14:26:01 UTC
Created attachment 103952 [details] [review]
Bug 24636: translate planning sections

This patch adds a new inc file to process
and translate plannig sections

To test:
1) Apply patch
2) Create new language files
(cd misc/translator; ./translate create xx-YY)
3) Verify new file is taken into account in
translation files
egrep -n budget_planning misc/translator/xx-YY*.po
check new strings in staff-prog file
4) Go to Administration > Budgets > Founds > Planning
select different options, check page title and
'Planning for...' phrase
5) Translate strings, install new language, enable it,
verify the text change with options like point 4)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-05-01 21:14:47 UTC
I'll pass this, but wonder if it would be better to include the 'by' in the include.

by months = nach Monaten
months = Monate

The translation changes at least in German because of declination.
Comment 4 Katrin Fischer 2020-05-01 21:15:46 UTC
Created attachment 104142 [details] [review]
Bug 24636: translate planning sections

This patch adds a new inc file to process
and translate plannig sections

To test:
1) Apply patch
2) Create new language files
(cd misc/translator; ./translate create xx-YY)
3) Verify new file is taken into account in
translation files
egrep -n budget_planning misc/translator/xx-YY*.po
check new strings in staff-prog file
4) Go to Administration > Budgets > Founds > Planning
select different options, check page title and
'Planning for...' phrase
5) Translate strings, install new language, enable it,
verify the text change with options like point 4)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Bernardo Gonzalez Kriegel 2020-05-01 21:39:24 UTC
(In reply to Katrin Fischer from comment #3)
> I'll pass this, but wonder if it would be better to include the 'by' in the
> include.
> 
> by months = nach Monaten
> months = Monate
> 
> The translation changes at least in German because of declination.

No problem to write an alternative patch.
Comment 6 Bernardo Gonzalez Kriegel 2020-05-03 22:23:39 UTC
Created attachment 104241 [details] [review]
Bug 24636: follow-up - move 'by' into include file

To ease correct translation.
Comment 7 Bernardo Gonzalez Kriegel 2020-05-03 22:28:29 UTC
(In reply to Katrin Fischer from comment #3)
> I'll pass this, but wonder if it would be better to include the 'by' in the
> include.
> 
> by months = nach Monaten
> months = Monate
> 
> The translation changes at least in German because of declination.

Added follow-up, possible target of your super-powers :)
or switch to NSO
Comment 8 Katrin Fischer 2020-05-03 22:28:58 UTC
Created attachment 104242 [details] [review]
Bug 24636: (follow-up) - move 'by' into include file

To ease correct translation.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2020-05-03 22:29:41 UTC
Thx for the follow-up! :)
Comment 10 Martin Renvoize 2020-05-04 07:55:11 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-05-11 20:36:04 UTC
Backported to 19.11.x for 19.11.06